package com.company.lazyfetch.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.JmixEntity
import java.util.UUID
import javax.persistence.*
import javax.validation.constraints.NotNull

@JmixEntity
@Table(name = "CHILD")
@Entity
open class Child {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @NotNull
    @JoinColumn(name = "PARENT_ID_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    var parent_id: Parent? = null

    @Column(name = "SHOULD_NOT_FETCH")
    var shouldNotFetch: String? = null
}