package com.company.lazyfetch.entity

import io.jmix.core.metamodel.annotation.JmixEntity
import io.jmix.data.impl.lazyloading.NotInstantiatedList
import javax.persistence.Column
import javax.persistence.Entity
import javax.persistence.OneToMany
import javax.persistence.Table

@JmixEntity
@Table(name = "INHERITS")
@Entity
open class Inherits : MasterData() {
    @Column(name = "TEXT")
    var text: String? = null

    @OneToMany(mappedBy = "inherits")
    var asso: MutableList<Inherits2> = NotInstantiatedList()
}