package com.company.lazyfetch.entity

import io.jmix.core.metamodel.annotation.JmixEntity
import org.eclipse.persistence.annotations.JoinFetch
import javax.persistence.*

@JmixEntity
@Table(name = "INHERITS2", indexes = [
    Index(name = "IDX_INHERITS2_INHERITS", columnList = "INHERITS_ID")
])
@Entity
open class Inherits2 : MasterData() {
    @Column(name = "TEXT2")
    var text2: String? = null

    @JoinColumn(name = "INHERITS_ID")
    @ManyToOne(fetch = FetchType.LAZY)
    var inherits: Inherits? = null
}