package com.company.lazyfetch.entity

import io.jmix.core.entity.annotation.JmixGeneratedValue
import io.jmix.core.metamodel.annotation.JmixEntity
import io.jmix.data.impl.lazyloading.NotInstantiatedList
import java.util.*
import javax.persistence.*

@JmixEntity
@Table(name = "PARENT")
@Entity
open class Parent {
    @JmixGeneratedValue
    @Column(name = "ID", nullable = false)
    @Id
    var id: UUID? = null

    @Column(name = "TEXT")
    var text: String? = null

    @OneToMany(mappedBy = "parent_id", cascade = [CascadeType.PERSIST, CascadeType.MERGE])
    var childs: MutableList<Child> = NotInstantiatedList()
}